        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE CLASS_MATRIX__genmod
          INTERFACE 
            SUBROUTINE CLASS_MATRIX(KIND,M,ALPHA,BETA,AJ,BJ,ZEMU)
              INTEGER(KIND=4) :: M
              INTEGER(KIND=4) :: KIND
              REAL(KIND=8) :: ALPHA
              REAL(KIND=8) :: BETA
              REAL(KIND=8) :: AJ(M)
              REAL(KIND=8) :: BJ(M)
              REAL(KIND=8) :: ZEMU
            END SUBROUTINE CLASS_MATRIX
          END INTERFACE 
        END MODULE CLASS_MATRIX__genmod
